<?php 
// workflow.php - configure your workflow
// ------------------------------------------------------------------------
// Copyright (c) 2005, 2006, 2015 Denis Guinnepain
// ------------------------------------------------------------------------
// This file is part of Diamentis

// Diamentis is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// Diamentis is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with phpBugTracker; if not, write to the Free Software Foundation,
// Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
// ------------------------------------------------------------------------

include("include.php");


function list_workflow($message, $id, $hidden_states, $action, $verbose = false) 
{
	global $t, $db, $STRING, $me, $do_edit_field;


	$hidden_states=unserialize($hidden_states);
	$t->assign('myselection', $hidden_states);
	$t->assign('back_url', $me . "?op=" . $do_edit_field . "&fid=" . $id);
	$t->assign('message', $message);
	$t->assign('id', $id);
	$t->assign('action', $action);
	$t->wrap('admin/workflow.html');	

} // end of list_workflow


function update_workflow($id, $verbose = false) 
{
	global $t, $db, $STRING, $me, $do_edit_field, $_pv;
	
	$hidden_states=$_pv['next_status'];
	if (isset($hidden_states) and is_array($hidden_states) and count($hidden_states)) 
	{
		return serialize($hidden_states);
	}
	else
	{
		print_r("ERROR WFL1: the selection is not an array");
	}


} // end of list_workflow

$DiaWorkflow="fee";
?>
